/**********************************************************************
 *     EPSCAN, an EPSON ES-1200 scanner driver     
 *     Adam P. Jenkins <ajenkins@cs.umass.edu>
 *     
 *     This program is free software; you can redistribute it and/or
 *     modify it under the terms of the GNU General Public License
 *     as published by the Free Software Foundation; either version 2
 *     of the License, or (at your option) any later version.
 *     
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *     
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 **********************************************************************/

#ifndef _HELPWINDOW_H_
#define _HELPWINDOW_H_

#include <qwidget.h>
#include <qstring.h>

class QMultiLineEdit;

class HelpWindow : public QWidget
{
  Q_OBJECT;
public:
  HelpWindow(const char *helpfile, QWidget *parent=0, const char *name=0);

  QString helpFileName() const { return _helpFileName; }
  bool setHelpFile(const char *helpfile);
  
public slots:
  void showHelp() { show(); }
  void hideHelp() { hide(); }

private:
  QString _helpFileName;

  QMultiLineEdit *helpText;
};

#endif
